www.4658.net > 使用spring 整合quArtz调度插件有错~~

使用spring 整合quArtz调度插件有错~~

缺少JAR包 没有找到执行工作类.........

我遇到过这个问题,要加入spring.jar这个包

Spring 的定时器用mai方法调用怎么觉得怪怪的。还是用tomcat启动设置时间点试试看看吧!

Spring官网有说明其已支持Quartz 2.x,但是需要将Spring升级到3.1以上。由于Quartz 2.x修改了部分API,所以需要修改一下Quartz的配置。大体来说很简单,如下: 1)升级Spring的jar包 2)升级Quartz的jar包 3)修改配置 将CronTriggerBean修改为C...

http://blog.csdn.net/cgs1999/article/details/3997163

可以的话,把工程和数据库发到邮箱 xiang.19880429@163.com 看一下

这个问题应该是jar不兼容的问题! Spring针对quartz的支持是有严格的版本要求的 一般都是spring3.2.2配quartz2.2.1那一整套最稳定,但是Spring不同的版本的quartz,spring就不行了,里面针对spring中的JobDetailFactoryBean类不支持,详细情况需...

楼主。。。你的quartz的jar包有没有导入?

你是不是同样的定时器配置了两次? 你定时器扫描的时间间隔是不是太短?tomcat启动的时间大于或等于运行两次的周期时间。 希望对你有帮助!

quartz 官网有spring的例子 ~ ~ ~ ~

网站地图

All rights reserved Powered by www.4658.net

copyright ©right 2010-2021。
www.4658.net内容来自网络,如有侵犯请联系客服。zhit325@qq.com